Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier
Interface IVerifier

All Superinterfaces:
  org.xml.sax.ContentHandler, org.iso_relax.verifier.VerifierHandler

All Known Implementing Classes:
  Verifier, VerifierFilter

public interface IVerifier
extends org.iso_relax.verifier.VerifierHandler

Interface of verifier.

Author:
  Kohsuke KAWAGUCHI

Method Summary
`java.lang.Object` | `getCurrentElementType()` returns current element type.
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`Datatype[]` | `getLastCharacterType()` gets DataType that validated the last characters.
`org.xml.sax.Locator` | `getLocator()`
`boolean` | `isValid()` checks if the document was valid.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)`
`void` | `setPanicMode(boolean usePanicMode)` Turns on/off the panic mode.

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### isValid

    public boolean isValid()

  checks if the document was valid. This method may not be called before verification was completed.

  Specified by:
    `isValid` in interface `org.iso_relax.verifier.VerifierHandler`

### getCurrentElementType

    public java.lang.Object getCurrentElementType()

  returns current element type. Actual java type depends on the implementation. This method works correctly only when called immediately after handling startElement event.

  Returns:
    null this method returns null when it doesn't support type-assignment feature, or type-assignment is impossible for the current element (for example due to the ambiguous grammar).

### getLastCharacterType

    public Datatype[] getLastCharacterType()

  gets DataType that validated the last characters.

  This method works correctly only when called immediately after startElement and endElement method. When called, this method returns DataType object that validated the last character literals.

  For RELAX NG grammar, this method can return an array of length 2 or more. This happens when the last character matches <list> pattern. In that case, each type corresponds to each token (where tokens are the white-space separation of the last characters).

  For any other grammar, this method always returns an array of length 1 (or null, if the type assignment failed).

  So when you are using VerifierFilter, you can call this method only in your startElement and endElement method.

  Returns:
    null if type-assignment was not possible.

### setPanicMode

    public void setPanicMode(boolean usePanicMode)

  Turns on/off the panic mode. Panic mode is on by default. Turning it on is good for general use. It prevents false error messages to appear.

  However, turning it off is sometimes useful, when you are sure that the structure of the document is almost valid (e.g., validating a document generated by an application or when you are sure about the validity of the structure and only interested in validating datatypes,)

### getLocator

    public org.xml.sax.Locator getLocator()

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD